Upstream information

CVE-2013-1799 at MITRE

Description

Gnome Online Accounts (GOA) 3.6.x before 3.6.3 and 3.7.x before 3.7.91, does not properly validate SSL certificates when creating accounts for providers who use the libsoup library, which allows man-in-the-middle attackers to obtain sensitive information such as credentials by sniffing the network. NOTE: this issue exists because of an incomplete fix for CVE-2013-0240.

SUSE information

Overall state of this security issue: Does not affect SUSE products

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 808534 [RESOLVED / INVALID]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
  • gnome-online-accounts >= 3.20.4-7.2
  • gnome-online-accounts-lang >= 3.20.4-7.2
  • libgoa-1_0-0 >= 3.20.4-7.2
  • libgoa-1_0-0-32bit >= 3.20.4-7.2
  • libgoa-backend-1_0-1 >= 3.20.4-7.2
  • typelib-1_0-Goa-1_0 >= 3.20.4-7.2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
  • gnome-online-accounts >= 3.20.5-9.6
  • gnome-online-accounts-lang >= 3.20.5-9.6
  • libgoa-1_0-0 >= 3.20.5-9.6
  • libgoa-1_0-0-32bit >= 3.20.5-9.6
  • libgoa-backend-1_0-1 >= 3.20.5-9.6
  • typelib-1_0-Goa-1_0 >= 3.20.5-9.6
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
  • gnome-online-accounts >= 3.10.5-1.11
  • gnome-online-accounts-lang >= 3.10.5-1.11
  • libgoa-1_0-0 >= 3.10.5-1.11
  • libgoa-backend-1_0-1 >= 3.10.5-1.11
  • typelib-1_0-Goa-1_0 >= 3.10.5-1.11
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libgoa-1_0-0 >= 3.20.8-10.4.50
  • libgoa-backend-1_0-1 >= 3.20.8-10.4.50
SUSE Linux Enterprise Module for Desktop Applications 15
SUSE Linux Enterprise Module for Desktop Applications 15 SP1
  • gnome-online-accounts-devel >= 3.26.2-3.34
  • libgoa-1_0-0 >= 3.26.2-3.34
  • libgoa-backend-1_0-1 >= 3.26.2-3.34
  • typelib-1_0-Goa-1_0 >= 3.26.2-3.34
SUSE Linux Enterprise Server 12 SP1
  • libgoa-1_0-0 >= 3.10.5-1.11
  • libgoa-backend-1_0-1 >= 3.10.5-1.11
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libgoa-1_0-0 >= 3.20.4-7.2
  • libgoa-backend-1_0-1 >= 3.20.4-7.2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
  • libgoa-1_0-0 >= 3.20.5-9.6
  • libgoa-backend-1_0-1 >= 3.20.5-9.6
SUSE Linux Enterprise Server 12
  • libgoa-1_0-0 >= 3.10.5-1.6
  • libgoa-backend-1_0-1 >= 3.10.5-1.6
SUSE Linux Enterprise Software Development Kit 12 SP2
  • gnome-online-accounts-devel >= 3.20.4-7.2
  • typelib-1_0-Goa-1_0 >= 3.20.4-7.2
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
  • gnome-online-accounts-devel >= 3.20.5-9.6
  • typelib-1_0-Goa-1_0 >= 3.20.5-9.6
SUSE Linux Enterprise Software Development Kit 12 SP5
  • gnome-online-accounts-devel >= 3.20.8-10.4.50
  • typelib-1_0-Goa-1_0 >= 3.20.8-10.4.50
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
  • gnome-online-accounts-devel >= 3.10.5-1.11
  • typelib-1_0-Goa-1_0 >= 3.10.5-1.11
SUSE Linux Enterprise Workstation Extension 12 SP2
  • gnome-online-accounts >= 3.20.4-7.2
  • gnome-online-accounts-lang >= 3.20.4-7.2
  • libgoa-1_0-0-32bit >= 3.20.4-7.2
  • typelib-1_0-Goa-1_0 >= 3.20.4-7.2
SUSE Linux Enterprise Workstation Extension 12 SP3
SUSE Linux Enterprise Workstation Extension 12 SP4
  • gnome-online-accounts >= 3.20.5-9.6
  • gnome-online-accounts-lang >= 3.20.5-9.6
  • libgoa-1_0-0-32bit >= 3.20.5-9.6
  • typelib-1_0-Goa-1_0 >= 3.20.5-9.6
SUSE Linux Enterprise Workstation Extension 12 SP5
  • gnome-online-accounts >= 3.20.8-10.4.50
  • gnome-online-accounts-lang >= 3.20.8-10.4.50
  • libgoa-1_0-0-32bit >= 3.20.8-10.4.50
  • typelib-1_0-Goa-1_0 >= 3.20.8-10.4.50
SUSE Linux Enterprise Workstation Extension 12
SUSE Linux Enterprise Workstation Extension 12 SP1
  • gnome-online-accounts >= 3.10.5-1.11
  • gnome-online-accounts-lang >= 3.10.5-1.11
  • typelib-1_0-Goa-1_0 >= 3.10.5-1.11
SUSE Linux Enterprise Workstation Extension 15
SUSE Linux Enterprise Workstation Extension 15 SP1
  • gnome-online-accounts >= 3.26.2-3.34
  • gnome-online-accounts-lang >= 3.26.2-3.34
openSUSE Leap 15.0
  • gnome-online-accounts >= 3.26.2-lp150.3.2
  • gnome-online-accounts-lang >= 3.26.2-lp150.3.2
  • libgoa-1_0-0 >= 3.26.2-lp150.3.2
  • libgoa-backend-1_0-1 >= 3.26.2-lp150.3.2
  • typelib-1_0-Goa-1_0 >= 3.26.2-lp150.3.2
Patchnames:
openSUSE Leap 15.0 GA gnome-online-accounts
openSUSE Leap 42.1
  • gnome-online-accounts >= 3.16.4.1-1.2
  • gnome-online-accounts-devel >= 3.16.4.1-1.2
  • gnome-online-accounts-lang >= 3.16.4.1-1.2
  • libgoa-1_0-0 >= 3.16.4.1-1.2
  • libgoa-backend-1_0-1 >= 3.16.4.1-1.2
  • typelib-1_0-Goa-1_0 >= 3.16.4.1-1.2
Patchnames:
openSUSE Leap 42.1 GA gnome-online-accounts
openSUSE Leap 42.2
  • gnome-online-accounts >= 3.20.4-1.2
  • gnome-online-accounts-devel >= 3.20.4-1.2
  • gnome-online-accounts-lang >= 3.20.4-1.2
  • libgoa-1_0-0 >= 3.20.4-1.2
  • libgoa-backend-1_0-1 >= 3.20.4-1.2
  • typelib-1_0-Goa-1_0 >= 3.20.4-1.2
Patchnames:
openSUSE Leap 42.2 GA gnome-online-accounts
openSUSE Leap 42.3
  • gnome-online-accounts >= 3.20.5-6.5
  • gnome-online-accounts-devel >= 3.20.5-6.5
  • gnome-online-accounts-lang >= 3.20.5-6.5
  • libgoa-1_0-0 >= 3.20.5-6.5
  • libgoa-backend-1_0-1 >= 3.20.5-6.5
  • typelib-1_0-Goa-1_0 >= 3.20.5-6.5
Patchnames:
openSUSE Leap 42.3 GA gnome-online-accounts
openSUSE Tumbleweed
  • gnome-online-accounts >= 3.22.2-1.1
  • gnome-online-accounts-devel >= 3.22.2-1.1
  • gnome-online-accounts-lang >= 3.22.2-1.1
  • libgoa-1_0-0 >= 3.22.2-1.1
  • libgoa-1_0-0-32bit >= 3.22.2-1.1
  • libgoa-backend-1_0-1 >= 3.22.2-1.1
  • libgoa-backend-1_0-1-32bit >= 3.22.2-1.1
  • typelib-1_0-Goa-1_0 >= 3.22.2-1.1
Patchnames:
openSUSE Tumbleweed GA gnome-online-accounts